PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PMonitoredSockets::SocketInfo Struct Reference

`#include <psockbun.h>`

Collaboration diagram for PMonitoredSockets::SocketInfo:
[legend]

## Public Member Functions
| SocketInfo ()
void | Read (PMonitoredSockets &bundle, BundleParams &param)
void | Write (BundleParams &param)

## Public Attributes
PUDPSocket * | socket
bool | inUse

## Constructor & Destructor Documentation

PMonitoredSockets::SocketInfo::SocketInfo | ( |  | ) |
| inline

## Member Function Documentation

void PMonitoredSockets::SocketInfo::Read | ( | PMonitoredSockets & | bundle,
|  | BundleParams & | param
| ) |  |

void PMonitoredSockets::SocketInfo::Write | ( | BundleParams & | param | ) |

## Member Data Documentation

bool PMonitoredSockets::SocketInfo::inUse

PUDPSocket* PMonitoredSockets::SocketInfo::socket

The documentation for this struct was generated from the following file:

- psockbun.h